"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const base_ui_theme_theme_provider_1 = require("@teambit/base-ui.theme.theme-provider");
const evangelist_theme_icon_font_1 = require("@teambit/evangelist.theme.icon-font");
const react_1 = __importDefault(require("react"));
const global_loader_1 = require("./global-loader");
function ClientContext({ children }) {
    const [loaderApi, isLoading] = global_loader_1.useLoaderApi();
    return (react_1.default.createElement(react_1.default.StrictMode, null,
        react_1.default.createElement(global_loader_1.LoaderContext.Provider, { value: loaderApi },
            react_1.default.createElement(evangelist_theme_icon_font_1.EvaIconFont, { query: "av92bs" }),
            react_1.default.createElement(base_ui_theme_theme_provider_1.Theme, null,
                react_1.default.createElement(global_loader_1.LoaderRibbon, { active: isLoading }),
                children))));
}
exports.ClientContext = ClientContext;
//# sourceMappingURL=client-context.js.map